adjacent_difference.hpp File Reference

## Classes

struct | ranges::v3::adjacent_difference_fn

## Typedefs

template<typename I , typename O , typename BOp = minus, typename P = ident, typename V = value_type_t<I>, typename X = concepts::Invocable::result_t<P&, V>, typename Y = concepts::Invocable::result_t<BOp&, X, X>>
using | ranges::v3::AdjacentDifferentiable = meta::strict_and< InputIterator< I >, OutputIterator< O, X >, OutputIterator< O, Y >, Invocable< P &, V >, Invocable< BOp &, X, X >, CopyConstructible< uncvref_t< X > >, Movable< uncvref_t< X > >>

## Variables

constexpr adjacent_difference_fn | ranges::v3::adjacent_difference {}